
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8813735870195429d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(10.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, fieldElement_array_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array2);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, 100, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.8813735870195429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6320021414540531d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    double d0 = org.apache.commons.math3.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    org.apache.commons.math3.linear.RealVector realVector14 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array4);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator22 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array16, 100, 0.0d, false, 1, 0, randomGenerator22, false);
    double[][] d_array_array25 = new double[][] { d_array16 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array4, d_array_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    java.lang.Object obj0 = null;
    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealMatrix(obj0, "hi!", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.6320021414540531d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.58227311967534d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.random.RandomGenerator randomGenerator25 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker27 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer28 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1), d_array17, 10, 0.6320021414540531d, false, (-1), 0, randomGenerator25, true, convergenceChecker27);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array29 = cMAESOptimizer28.getLowerBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.99822295029797d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(3.141592653589793d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(10.0f, 0.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    double[] d_array23 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator29 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker31 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array23, 10, (-1.0d), false, 1, 0, randomGenerator29, true, convergenceChecker31);
    org.apache.commons.math3.linear.RealVector realVector33 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition34 = new org.apache.commons.math3.linear.EigenDecomposition(d_array16, d_array23);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection35 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array40 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator46 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker48 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer49 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array40, 10, (-1.0d), false, 1, 0, randomGenerator46, true, convergenceChecker48);
    double[] d_array52 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition54 = new org.apache.commons.math3.linear.EigenDecomposition(d_array40, d_array52, (-1.0d));
    double[] d_array59 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator65 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker67 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer68 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array59, 10, (-1.0d), false, 1, 0, randomGenerator65, true, convergenceChecker67);
    org.apache.commons.math3.linear.RealVector realVector69 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array59);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition70 = new org.apache.commons.math3.linear.EigenDecomposition(d_array52, d_array59);
    double[][] d_array_array71 = new double[][] { d_array52 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array23, orderDirection35, d_array_array71);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    java.text.NumberFormat numberFormat1 = null;
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number3 = org.apache.commons.math3.util.CompositeFormat.parseNumber("hi!", numberFormat1, parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math3.linear.FieldMatrix fieldMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix1 = org.apache.commons.math3.linear.MatrixUtils.bigFractionMatrixToRealMatrix(fieldMatrix0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() {}
// Defects4J: flaky method
//   @Test
//   public void test020() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }
// 
// 
//     double d0 = org.apache.commons.math3.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.012707098813826034d);
// 
//   }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0f, 10.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVectorFormat realVectorFormat1 = org.apache.commons.math3.linear.RealVectorFormat.getInstance(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.58227311967534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(byte)100);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    double[] d_array7 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator13 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker15 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer16 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array7, 10, (-1.0d), false, 1, 0, randomGenerator13, true, convergenceChecker15);
    double[] d_array19 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition21 = new org.apache.commons.math3.linear.EigenDecomposition(d_array7, d_array19, (-1.0d));
    org.apache.commons.math3.random.RandomGenerator randomGenerator27 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker29 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer30 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1), d_array19, 10, 0.6320021414540531d, false, (-1), 0, randomGenerator27, true, convergenceChecker29);
    double[][] d_array_array31 = new double[][] { d_array19 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math3.linear.BlockRealMatrix(0, 1, d_array_array31, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat1 = org.apache.commons.math3.linear.RealMatrixFormat.getInstance(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.58227311967534d, 0.6320021414540531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.31373330468681937d));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.apache.commons.math3.linear.RealMatrix realMatrix0 = null;
    java.io.ObjectOutputStream objectOutputStream1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix(realMatrix0, objectOutputStream1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition6 = new org.apache.commons.math3.linear.EigenDecomposition((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix4, 0.8813735870195429d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.apache.commons.math3.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math3.exception.NullArgumentException();

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    int i0 = org.apache.commons.math3.optimization.direct.CMAESOptimizer.DEFAULT_CHECKFEASABLECOUNT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[][] d_array_array14 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = array2DRowRealMatrix15.walkInOptimizedOrder(realMatrixChangingVisitor16, (-1), 0, 100, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[][] d_array_array14 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = array2DRowRealMatrix15.walkInRowOrder(realMatrixPreservingVisitor16, 1, (-1), 100, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix4.walkInRowOrder(realMatrixChangingVisitor11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 10.0d, 2.99822295029797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array7 = new double[] { 100.0d };
    array2DRowRealMatrix4.setRow(0, d_array7);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = array2DRowRealMatrix4.walkInOptimizedOrder(realMatrixChangingVisitor9, 1, 0, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.8813735870195429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.414213562373095d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(Float.NaN, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7853981633974483d));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[][] d_array_array14 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14);
    double[] d_array20 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator26 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20, 10, (-1.0d), false, 1, 0, randomGenerator26, true, convergenceChecker28);
    double[][] d_array_array30 = new double[][] { d_array20 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = array2DRowRealMatrix15.multiply(array2DRowRealMatrix31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = cMAESOptimizer13.getStartPoint();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[][] d_array_array14 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix15, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator7 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer9 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array1, 100, 0.0d, false, 1, 0, randomGenerator7, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix10 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.8813735870195429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.12627369409889855d));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.31373330468681937d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3040080536016258d));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array7 = new double[] { 100.0d };
    array2DRowRealMatrix4.setRow(0, d_array7);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.multiply(array2DRowRealMatrix9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix4.walkInOptimizedOrder(realMatrixPreservingVisitor7, 100, 100, 10, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    double[] d_array0 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array0, arrayRealVector1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.12627369409889855d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.12694914910344984d));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    boolean b0 = org.apache.commons.math3.optimization.direct.CMAESOptimizer.DEFAULT_ISACTIVECMA;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == true);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    java.lang.Integer[] i_array0 = null;
    java.lang.Integer[] i_array2 = new java.lang.Integer[] { 1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException3 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array0, i_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createRowFieldMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-1.0d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1024.0d));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix27.multiplyEntry(10, (-1), (-0.12694914910344984d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    int i0 = org.apache.commons.math3.optimization.direct.CMAESOptimizer.DEFAULT_MAXITERATIONS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 30000);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.12694914910344984d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.126271542427993d));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor28 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = blockRealMatrix27.walkInOptimizedOrder(realMatrixPreservingVisitor28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    double d0 = org.apache.commons.math3.util.Precision.SAFE_MIN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.2250738585072014E-308d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(105.12492197250394d, 10.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.126271542427993d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.6006819655058965E29d));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldIdentityMatrix(field0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer0 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer();

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixChangingVisitor5, 0, 1, 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.OCTAVE_FORMAT;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = realMatrixFormat0.parse("hi!");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)0, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = null;
    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator8 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer10 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array2, 100, 0.0d, false, 1, 0, randomGenerator8, false);
    org.apache.commons.math3.linear.RealVector realVector11 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.012707098813826034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01270641491805643d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-1024.0d), 1.58227311967534d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math3.exception.MathParseException mathParseException2 = new org.apache.commons.math3.exception.MathParseException("", 3);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.414213562373095d, (-0.126271542427993d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix4.multiply(array2DRowRealMatrix13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createColumnFieldMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    int i0 = org.apache.commons.math3.linear.BlockFieldMatrix.BLOCK_SIZE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 36);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = blockRealMatrix12.walkInOptimizedOrder(realMatrixPreservingVisitor13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(10.0f, 1.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.414213562373095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-1024.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1023.9999999999999d));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    org.apache.commons.math3.linear.RealVector realVector15 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = arrayRealVector0.ebeMultiply(realVector15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor37 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d40 = arrayRealVector36.walkInDefaultOrder(realVectorPreservingVisitor37, 36, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double[] d_array16 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array16);
    double[] d_array20 = new double[] { 100.0d };
    array2DRowRealMatrix17.setRow(0, d_array20);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix12.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double[] d_array18 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator24 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker26 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer27 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array18, 10, (-1.0d), false, 1, 0, randomGenerator24, true, convergenceChecker26);
    double[] d_array30 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition32 = new org.apache.commons.math3.linear.EigenDecomposition(d_array18, d_array30, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array18);
    double[] d_array38 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator44 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker46 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer47 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array38, 10, (-1.0d), false, 1, 0, randomGenerator44, true, convergenceChecker46);
    org.apache.commons.math3.linear.RealVector realVector48 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math3.linear.ArrayRealVector(d_array18, d_array38);
    double[][] d_array_array50 = new double[][] { d_array18 };
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix12.setSubMatrix(d_array_array50, 100, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    java.io.ObjectOutputStream objectOutputStream1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector(realVector0, objectOutputStream1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    int[] i_array0 = null;
    int[] i_array1 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.MathArrays.distance1(i_array0, i_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.8813735870195429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.054839968556690856d));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array29 = blockRealMatrix26.getColumn(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.12627369409889855d), 2.99822295029797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.12627369409889855d));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>toBlocksLayout(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array10 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array10);
    double[] d_array12 = array2DRowRealMatrix6.preMultiply(d_array10);
    double[][] d_array_array13 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix14 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(0, 0, d_array_array13, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    int i0 = org.apache.commons.math3.linear.BlockRealMatrix.BLOCK_SIZE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 52);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix12.addToEntry(10, (-1), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(Float.NaN, 0.8813735870195429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11013.232874703393d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array10 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator16 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker18 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer19 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array10, 10, (-1.0d), false, 1, 0, randomGenerator16, true, convergenceChecker18);
    double[] d_array22 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition24 = new org.apache.commons.math3.linear.EigenDecomposition(d_array10, d_array22, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer25 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array10);
    double[] d_array30 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator36 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker38 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer39 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array30, 10, (-1.0d), false, 1, 0, randomGenerator36, true, convergenceChecker38);
    org.apache.commons.math3.linear.RealVector realVector40 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array30);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector(d_array10, d_array30);
    org.apache.commons.math3.linear.RealVector realVector42 = arrayRealVector41.unitVector();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector43 = array2DRowRealMatrix4.operateTranspose(realVector42);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array9 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator15 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker17 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer18 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array9, 10, (-1.0d), false, 1, 0, randomGenerator15, true, convergenceChecker17);
    double[] d_array21 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition23 = new org.apache.commons.math3.linear.EigenDecomposition(d_array9, d_array21, (-1.0d));
    double[] d_array28 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator34 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker36 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer37 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array28, 10, (-1.0d), false, 1, 0, randomGenerator34, true, convergenceChecker36);
    org.apache.commons.math3.linear.RealVector realVector38 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array28);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition39 = new org.apache.commons.math3.linear.EigenDecomposition(d_array21, d_array28);
    org.apache.commons.math3.linear.RealMatrix realMatrix40 = eigenDecomposition39.getVT();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix4, (org.apache.commons.math3.linear.AnyMatrix)realMatrix40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix32.subtract(array2DRowRealMatrix37);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix39 = blockRealMatrix26.add((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix6 = org.apache.commons.math3.linear.MatrixUtils.blockInverse((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix4, 30000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double[] d_array19 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator25 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker27 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer28 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array19, 10, (-1.0d), false, 1, 0, randomGenerator25, true, convergenceChecker27);
    double[] d_array31 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition33 = new org.apache.commons.math3.linear.EigenDecomposition(d_array19, d_array31, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array19);
    double[] d_array39 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator45 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker47 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer48 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array39, 10, (-1.0d), false, 1, 0, randomGenerator45, true, convergenceChecker47);
    org.apache.commons.math3.linear.RealVector realVector49 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector50 = new org.apache.commons.math3.linear.ArrayRealVector(d_array19, d_array39);
    org.apache.commons.math3.linear.RealVector realVector51 = arrayRealVector50.unitVector();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix12.setColumnVector(10, (org.apache.commons.math3.linear.RealVector)arrayRealVector50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-1024.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector12 = array2DRowRealMatrix10.getRowVector(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math3.linear.RealMatrix realMatrix2 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(30000, 36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix2);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor37 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d40 = arrayRealVector36.walkInOptimizedOrder(realVectorPreservingVisitor37, 36, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldIdentityMatrix(field0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    double d38 = arrayRealVector36.getL1Norm();
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor39 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d42 = arrayRealVector36.walkInDefaultOrder(realVectorPreservingVisitor39, 36, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 220.0d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix((-1), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    int i28 = blockRealMatrix27.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array30 = blockRealMatrix27.getRow(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 3);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = arrayRealVector0.outerProduct(realVector1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = blockRealMatrix12.add(realMatrix14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    int[] i_array7 = null;
    int[] i_array11 = new int[] { 100, 0, 100 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix12 = array2DRowRealMatrix4.getSubMatrix(i_array7, i_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, 52, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.126271542427993d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.12593625368779957d));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException((-1), 10, 3, 100);
    // The following exception was thrown during execution in test generation
    try {
      int i6 = matrixDimensionMismatchException4.getExpectedDimension(30000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.6006819655058965E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 97);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(100.0d, (-1024.0d), 2.2250738585072014E-308d, 1.58227311967534d, (-0.12694914910344984d), (-0.12627369409889855d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-102399.98396966197d));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix1 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createRowFieldMatrix(fieldElement_array0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.power(97);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { (-1.6006819655058965E29d) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, 1, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    blockRealMatrix26.multiplyEntry(0, 0, (-0.126271542427993d));
    double[] d_array35 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array35);
    double[] d_array40 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array40);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix36.subtract(array2DRowRealMatrix41);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix43 = blockRealMatrix26.add((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix42);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat4 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    java.text.NumberFormat numberFormat5 = realMatrixFormat4.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat6 = new org.apache.commons.math3.linear.RealVectorFormat("hi!", "", "", numberFormat5);
    java.lang.StringBuffer stringBuffer7 = null;
    java.text.FieldPosition fieldPosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = org.apache.commons.math3.util.CompositeFormat.formatDouble((-1023.9999999999999d), numberFormat5, stringBuffer7, fieldPosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-1.0f), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1024.0f));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { (-1024.0d) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, 100, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-1023.9999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor28 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = blockRealMatrix26.walkInRowOrder(realMatrixPreservingVisitor28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    boolean b11 = array2DRowRealMatrix9.isTransposable();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix9.addToEntry(97, 2, 100.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array6 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker14 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer15 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6, 10, (-1.0d), false, 1, 0, randomGenerator12, true, convergenceChecker14);
    double[] d_array18 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition20 = new org.apache.commons.math3.linear.EigenDecomposition(d_array6, d_array18, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer21 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6);
    double[] d_array26 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator32 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker34 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer35 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array26, 10, (-1.0d), false, 1, 0, randomGenerator32, true, convergenceChecker34);
    org.apache.commons.math3.linear.RealVector realVector36 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector(d_array6, d_array26);
    org.apache.commons.math3.linear.RealVector realVector38 = arrayRealVector37.unitVector();
    double d39 = arrayRealVector37.getL1Norm();
    // The following exception was thrown during execution in test generation
    try {
      double d40 = arrayRealVector0.getLInfDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector37);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 220.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.01270641491805643d, 6, 52);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    int[] i_array9 = new int[] {  };
    int[] i_array10 = org.apache.commons.math3.util.MathArrays.copyOf(i_array9);
    int[] i_array12 = new int[] { 1 };
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array10, i_array12);
    int[] i_array15 = new int[] { 0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix4, i_array10, i_array15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.ZeroException zeroException2 = new org.apache.commons.math3.exception.ZeroException(localizable0, obj_array1);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    double d1 = arrayRealVector0.getLInfNorm();
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = arrayRealVector0.walkInOptimizedOrder(realVectorChangingVisitor2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.99822295029797d, (-0.7853981633974483d), 1.414213562373095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>createBlocksLayout(field0, 2, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = new org.apache.commons.math3.linear.RealVectorFormat();
    java.lang.String str1 = realVectorFormat0.getSuffix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = realVectorFormat0.parse("hi!");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "}"+ "'", str1.equals("}"));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.31373330468681937d), 2.99822295029797d, Double.NaN, 2.99822295029797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector36, false);
    double[] d_array45 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator51 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker53 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer54 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array45, 10, (-1.0d), false, 1, 0, randomGenerator51, true, convergenceChecker53);
    org.apache.commons.math3.linear.RealVector realVector55 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array45);
    java.util.Iterator iterator56 = realVector55.iterator();
    double[] d_array61 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator67 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker69 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer70 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array61, 10, (-1.0d), false, 1, 0, randomGenerator67, true, convergenceChecker69);
    org.apache.commons.math3.linear.RealVector realVector71 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array61);
    org.apache.commons.math3.linear.RealVector realVector72 = realVector55.projection(realVector71);
    org.apache.commons.math3.linear.RealVector realVector74 = realVector72.mapSubtract(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector75 = arrayRealVector36.combineToSelf(0.0d, 1.414213562373095d, realVector72);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector74);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = array2DRowRealMatrix10.walkInRowOrder(realMatrixPreservingVisitor11, 6, 0, 52, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    java.text.NumberFormat numberFormat3 = null;
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math3.linear.RealVectorFormat("", "", "hi!", numberFormat3);
    double[] d_array9 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator15 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker17 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer18 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array9, 10, (-1.0d), false, 1, 0, randomGenerator15, true, convergenceChecker17);
    org.apache.commons.math3.linear.RealVector realVector19 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array9);
    java.util.Iterator iterator20 = realVector19.iterator();
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.RealVector realVector36 = realVector19.projection(realVector35);
    org.apache.commons.math3.linear.RealVector realVector38 = realVector36.mapSubtract(0.0d);
    java.lang.StringBuffer stringBuffer39 = null;
    java.text.FieldPosition fieldPosition40 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer41 = realVectorFormat4.format(realVector36, stringBuffer39, fieldPosition40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.OCTAVE_FORMAT;
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix3 = realMatrixFormat0.parse("}", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixPreservingVisitor11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, 10.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator36 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer38 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array30, 100, 0.0d, false, 1, 0, randomGenerator36, false);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix26.setRow(97, d_array30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = arrayRealVector0.walkInOptimizedOrder(realVectorPreservingVisitor1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    double d0 = org.apache.commons.math3.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector10 = array2DRowRealMatrix4.getRowVector(30000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    double[] d_array38 = array2DRowRealMatrix32.preMultiply(d_array36);
    double[][] d_array_array39 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    double d41 = blockRealMatrix40.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = blockRealMatrix12.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix40);
    double[][] d_array_array43 = blockRealMatrix40.getData();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array45 = blockRealMatrix40.getRow(3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    org.apache.commons.math3.linear.RealVector realVector14 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array4);
    java.util.Iterator iterator15 = realVector14.iterator();
    double[] d_array20 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator26 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20, 10, (-1.0d), false, 1, 0, randomGenerator26, true, convergenceChecker28);
    org.apache.commons.math3.linear.RealVector realVector30 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array20);
    org.apache.commons.math3.linear.RealVector realVector31 = realVector14.projection(realVector30);
    org.apache.commons.math3.linear.RealVector realVector33 = realVector31.mapSubtract(0.0d);
    org.apache.commons.math3.linear.RealVector realVector35 = realVector31.mapSubtract((-1023.9999999999999d));
    double d36 = realVector31.getMinValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 0.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix12.setRow(1, d_array31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor28 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = blockRealMatrix26.walkInOptimizedOrder(realMatrixPreservingVisitor28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = arrayRealVector0.walkInOptimizedOrder(realVectorChangingVisitor1, 36, 97);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 100.0f };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException3 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = mathArithmeticException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    org.apache.commons.math3.linear.RealVector realVector39 = arrayRealVector36.mapMultiplyToSelf(11013.232874703393d);
    // The following exception was thrown during execution in test generation
    try {
      double d41 = arrayRealVector36.getEntry(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, (-0.31373330468681937d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = arrayRealVector0.walkInOptimizedOrder(realVectorPreservingVisitor1, 36, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix2 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.8813735870195429d, (-0.12694914910344984d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.8813735870195429d));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    double[] d_array20 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator26 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20, 10, (-1.0d), false, 1, 0, randomGenerator26, true, convergenceChecker28);
    double[] d_array32 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition34 = new org.apache.commons.math3.linear.EigenDecomposition(d_array20, d_array32, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer35 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20);
    double[] d_array40 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator46 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker48 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer49 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array40, 10, (-1.0d), false, 1, 0, randomGenerator46, true, convergenceChecker48);
    org.apache.commons.math3.linear.RealVector realVector50 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array40);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math3.linear.ArrayRealVector(d_array20, d_array40);
    org.apache.commons.math3.linear.RealVector realVector52 = arrayRealVector51.unitVector();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix12.setColumnVector(1, (org.apache.commons.math3.linear.RealVector)arrayRealVector51);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = blockRealMatrix12.walkInRowOrder(realMatrixChangingVisitor14, 2, 97, 30000, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1024.0f), (-1024.0f), Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double[] d_array17 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator23 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker25 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer26 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array17, 10, (-1.0d), false, 1, 0, randomGenerator23, true, convergenceChecker25);
    double[][] d_array_array27 = new double[][] { d_array17 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix30 = array2DRowRealMatrix28.scalarMultiply(11013.232874703393d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix31 = blockRealMatrix12.multiply(realMatrix30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor37 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d38 = arrayRealVector36.walkInOptimizedOrder(realVectorChangingVisitor37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = arrayRealVector0.walkInOptimizedOrder(realVectorChangingVisitor1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = new org.apache.commons.math3.linear.RealVectorFormat();
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = realVectorFormat0.parse("hi!", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor28 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = blockRealMatrix27.walkInColumnOrder(realMatrixPreservingVisitor28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array15 = blockRealMatrix12.getColumn(6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    double[] d_array38 = array2DRowRealMatrix32.preMultiply(d_array36);
    double[][] d_array_array39 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    double d41 = blockRealMatrix40.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = blockRealMatrix12.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix40);
    double[] d_array47 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array47);
    double[] d_array52 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix53 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array52);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = array2DRowRealMatrix48.subtract(array2DRowRealMatrix53);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix40.setColumnMatrix(30000, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix54);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    java.lang.Integer[] i_array1 = new java.lang.Integer[] { 2 };
    java.lang.Integer[] i_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException3 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array1, i_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    double[] d_array23 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator29 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker31 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array23, 10, (-1.0d), false, 1, 0, randomGenerator29, true, convergenceChecker31);
    org.apache.commons.math3.linear.RealVector realVector33 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition34 = new org.apache.commons.math3.linear.EigenDecomposition(d_array16, d_array23);
    // The following exception was thrown during execution in test generation
    try {
      double d36 = eigenDecomposition34.getImagEigenvalue(3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixChangingVisitor11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.6320021414540531d, 11013.232874703393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldDiagonalMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.copy();
    double[] d_array18 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array18);
    double[] d_array22 = new double[] { 100.0d };
    array2DRowRealMatrix19.setRow(0, d_array22);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix13.setRowMatrix(1, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array32 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator38 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker40 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer41 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array32, 10, (-1.0d), false, 1, 0, randomGenerator38, true, convergenceChecker40);
    double[][] d_array_array42 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array42);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix43.scalarMultiply(11013.232874703393d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix46 = blockRealMatrix27.preMultiply(realMatrix45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[][] d_array_array14 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14);
    double[] d_array19 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array19);
    double[] d_array23 = new double[] { 100.0d };
    array2DRowRealMatrix20.setRow(0, d_array23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = array2DRowRealMatrix15.subtract(array2DRowRealMatrix20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    blockRealMatrix26.multiplyEntry(0, 0, (-0.126271542427993d));
    double[] d_array35 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array35);
    double[] d_array40 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array40);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix36.subtract(array2DRowRealMatrix41);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix43 = blockRealMatrix26.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    double[] d_array38 = array2DRowRealMatrix32.preMultiply(d_array36);
    double[][] d_array_array39 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    double d41 = blockRealMatrix40.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = blockRealMatrix12.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix40);
    double[][] d_array_array43 = blockRealMatrix40.getData();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix40.setEntry(6, 6, 2.99822295029797d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(0, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    boolean b11 = array2DRowRealMatrix4.isTransposable();
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    double[] d_array21 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array21);
    double[] d_array26 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array26);
    double[] d_array28 = array2DRowRealMatrix22.preMultiply(d_array26);
    double[][] d_array_array29 = new double[][] { d_array26 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array29);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable16, localizable17, (java.lang.Object[])d_array_array29);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix4.copySubMatrix(0, 100, 36, 30000, d_array_array29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.58227311967534d, 0.6320021414540531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6320021414540531d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(0.0f, 97, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>createBlocksLayout(field0, 0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[][] d_array_array14 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix15.scalarMultiply(11013.232874703393d);
    double[] d_array18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array19 = array2DRowRealMatrix15.preMultiply(d_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = realMatrixFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = new org.apache.commons.math3.linear.RealVectorFormat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = realVectorFormat0.parse("hi!");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarAdd((-0.054839968556690856d));
    double[] d_array21 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator27 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker29 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer30 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21, 10, (-1.0d), false, 1, 0, randomGenerator27, true, convergenceChecker29);
    double[][] d_array_array31 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix12.setColumnMatrix(2, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    int i0 = org.apache.commons.math3.optimization.direct.CMAESOptimizer.DEFAULT_DIAGONALONLY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double d0 = org.apache.commons.math3.optimization.direct.CMAESOptimizer.DEFAULT_STOPFITNESS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 0.0d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.31373330468681937d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3246809465608776d));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    double[] d_array23 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator29 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker31 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array23, 10, (-1.0d), false, 1, 0, randomGenerator29, true, convergenceChecker31);
    org.apache.commons.math3.linear.RealVector realVector33 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition34 = new org.apache.commons.math3.linear.EigenDecomposition(d_array16, d_array23);
    org.apache.commons.math3.linear.RealMatrix realMatrix35 = eigenDecomposition34.getVT();
    org.apache.commons.math3.linear.DecompositionSolver decompositionSolver36 = eigenDecomposition34.getSolver();
    double[] d_array37 = eigenDecomposition34.getRealEigenvalues();
    boolean b38 = eigenDecomposition34.hasComplexEigenvalues();
    // The following exception was thrown during execution in test generation
    try {
      double d40 = eigenDecomposition34.getImagEigenvalue(52);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(decompositionSolver36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator7 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer9 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array1, 100, 0.0d, false, 1, 0, randomGenerator7, false);
    org.apache.commons.math3.linear.RealVector realVector10 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array1);
    java.io.ObjectOutputStream objectOutputStream11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector(realVector10, objectOutputStream11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    double[] d_array6 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker14 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer15 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6, 10, (-1.0d), false, 1, 0, randomGenerator12, true, convergenceChecker14);
    double[] d_array18 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition20 = new org.apache.commons.math3.linear.EigenDecomposition(d_array6, d_array18, (-1.0d));
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition36 = new org.apache.commons.math3.linear.EigenDecomposition(d_array18, d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = eigenDecomposition36.getVT();
    org.apache.commons.math3.linear.DecompositionSolver decompositionSolver38 = eigenDecomposition36.getSolver();
    double[] d_array39 = eigenDecomposition36.getRealEigenvalues();
    double[][] d_array_array40 = new double[][] { d_array39 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix42 = new org.apache.commons.math3.linear.BlockRealMatrix(100, 0, d_array_array40, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(decompositionSolver38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector36, false);
    double[] d_array43 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator49 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker51 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer52 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array43, 10, (-1.0d), false, 1, 0, randomGenerator49, true, convergenceChecker51);
    org.apache.commons.math3.linear.RealVector realVector53 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array43);
    java.util.Iterator iterator54 = realVector53.iterator();
    double[] d_array59 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator65 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker67 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer68 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array59, 10, (-1.0d), false, 1, 0, randomGenerator65, true, convergenceChecker67);
    org.apache.commons.math3.linear.RealVector realVector69 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array59);
    org.apache.commons.math3.linear.RealVector realVector70 = realVector53.projection(realVector69);
    org.apache.commons.math3.linear.RealVector realVector72 = realVector70.mapSubtract(0.0d);
    int i73 = realVector72.getMinIndex();
    int i74 = realVector72.getMinIndex();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector75 = arrayRealVector38.ebeMultiply(realVector72);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 2);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.apache.commons.math3.util.Pair pair0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Pair pair1 = new org.apache.commons.math3.util.Pair(pair0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    double d38 = arrayRealVector36.getL1Norm();
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor39 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d42 = arrayRealVector36.walkInDefaultOrder(realVectorChangingVisitor39, 0, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 220.0d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)0, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor28 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = blockRealMatrix12.walkInRowOrder(realMatrixChangingVisitor28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.8813735870195429d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.649558242894909d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.add(realMatrix7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-0.054839968556690856d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.054839968556690856d));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    boolean b11 = array2DRowRealMatrix9.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = array2DRowRealMatrix9.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = array2DRowRealMatrix9.walkInColumnOrder(realMatrixPreservingVisitor14, 6, 36, 2, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-1.0f), 1.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix9.getSubMatrix(2, 100, 30000, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    double[] d_array38 = new double[] {  };
    org.apache.commons.math3.linear.RealVector realVector39 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array38);
    // The following exception was thrown during execution in test generation
    try {
      double d40 = arrayRealVector36.getL1Distance(realVector39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array33 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator39 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker41 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer42 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array33, 10, (-1.0d), false, 1, 0, randomGenerator39, true, convergenceChecker41);
    double[] d_array45 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition47 = new org.apache.commons.math3.linear.EigenDecomposition(d_array33, d_array45, (-1.0d));
    double[] d_array52 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator58 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker60 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer61 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array52, 10, (-1.0d), false, 1, 0, randomGenerator58, true, convergenceChecker60);
    org.apache.commons.math3.linear.RealVector realVector62 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array52);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition63 = new org.apache.commons.math3.linear.EigenDecomposition(d_array45, d_array52);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix27.setColumn(0, d_array52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = blockRealMatrix13.walkInRowOrder(realMatrixPreservingVisitor14, 36, 6, 100, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    double[] d_array38 = array2DRowRealMatrix32.preMultiply(d_array36);
    double[][] d_array_array39 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    double d41 = blockRealMatrix40.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = blockRealMatrix12.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix40);
    double[][] d_array_array43 = blockRealMatrix40.getData();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor44 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d49 = blockRealMatrix40.walkInOptimizedOrder(realMatrixChangingVisitor44, 2, 97, (-1), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix4.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor21 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d22 = array2DRowRealMatrix18.walkInColumnOrder(realMatrixChangingVisitor21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(10.0d, (-1023.9999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.999999999999998d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    double d38 = arrayRealVector36.getL1Norm();
    int i39 = arrayRealVector36.getDimension();
    double[] d_array45 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator51 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker53 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer54 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array45, 10, (-1.0d), false, 1, 0, randomGenerator51, true, convergenceChecker53);
    double[] d_array57 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition59 = new org.apache.commons.math3.linear.EigenDecomposition(d_array45, d_array57, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer60 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array45);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math3.linear.ArrayRealVector(d_array45, false);
    org.apache.commons.math3.linear.RealVector realVector64 = arrayRealVector62.mapMultiplyToSelf(0.8813735870195429d);
    // The following exception was thrown during execution in test generation
    try {
      double d65 = arrayRealVector36.getL1Distance((org.apache.commons.math3.linear.RealVector)arrayRealVector62);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 220.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector64);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1024.0f), 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920929E-7f);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    double[] d_array6 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array6);
    double[] d_array11 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array11);
    double[] d_array13 = array2DRowRealMatrix7.preMultiply(d_array11);
    double[][] d_array_array14 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = blockRealMatrix15.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = blockRealMatrix15.scalarAdd((-0.054839968556690856d));
    double d19 = blockRealMatrix15.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix20 = openMapRealMatrix2.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.50373127401788d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    double[] d_array26 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator32 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker34 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer35 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array26, 10, (-1.0d), false, 1, 0, randomGenerator32, true, convergenceChecker34);
    double[] d_array38 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition40 = new org.apache.commons.math3.linear.EigenDecomposition(d_array26, d_array38, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer41 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array26);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer42 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array26);
    double d43 = org.apache.commons.math3.util.MathArrays.distance1(d_array17, d_array26);
    org.apache.commons.math3.random.RandomGenerator randomGenerator49 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker53 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.58227311967534d, 2.99822295029797d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer54 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array26, 1, (-0.31373330468681937d), false, 30000, 100, randomGenerator49, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker53);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array55 = cMAESOptimizer54.getStartPoint();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 100.0d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = blockRealMatrix12.walkInOptimizedOrder(realMatrixChangingVisitor14, 3, (-1), (-1), 30000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.718281828459045d, 0.6320021414540531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.12694914910344984d), 2.99822295029797d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(2.649558242894909d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array1 = arrayRealVector0.getDataRef();
    java.lang.Object obj2 = null;
    boolean b3 = arrayRealVector0.equals(obj2);
    double[] d_array9 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator15 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker17 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer18 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array9, 10, (-1.0d), false, 1, 0, randomGenerator15, true, convergenceChecker17);
    double[] d_array21 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition23 = new org.apache.commons.math3.linear.EigenDecomposition(d_array9, d_array21, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector(d_array9, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = arrayRealVector0.subtract((org.apache.commons.math3.linear.RealVector)arrayRealVector26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.99822295029797d, 9.999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(byte)0);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math3.util.MathArrays.copyOf(i_array0);
    int[] i_array3 = new int[] { 1 };
    int i4 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array1, i_array3);
    int[] i_array5 = new int[] {  };
    int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    int[] i_array8 = new int[] { 1 };
    int i9 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array6, i_array8);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math3.util.MathArrays.distance(i_array3, i_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat4 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    java.text.NumberFormat numberFormat5 = realMatrixFormat4.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat6 = new org.apache.commons.math3.linear.RealVectorFormat("hi!", "", "", numberFormat5);
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat7 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat5);
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = org.apache.commons.math3.util.CompositeFormat.parseNumber("BlockRealMatrix{{100.0,10.0,-1.0}}", numberFormat5, parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix13.addToEntry(30000, 0, Double.NaN);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(2.2250738585072014E-308d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2250738585072014E-308d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException((-1), 10, 3, 100);
    // The following exception was thrown during execution in test generation
    try {
      int i6 = matrixDimensionMismatchException4.getWrongDimension(10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0, (java.lang.Number)100.0f, true);
    java.io.ObjectInputStream objectInputStream6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealVector((java.lang.Object)true, "", objectInputStream6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-1023.9999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.setEntry(0, 6, (-0.126271542427993d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[] d_array15 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator21 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker23 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array15, 10, (-1.0d), false, 1, 0, randomGenerator21, true, convergenceChecker23);
    double[] d_array29 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator35 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker37 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer38 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array29, 10, (-1.0d), false, 1, 0, randomGenerator35, true, convergenceChecker37);
    double[][] d_array_array39 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array39);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array15, d_array_array39);
    double[] d_array45 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array45);
    double[] d_array49 = new double[] { 100.0d };
    array2DRowRealMatrix46.setRow(0, d_array49);
    double[] d_array55 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator61 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker63 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer64 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array55, 10, (-1.0d), false, 1, 0, randomGenerator61, true, convergenceChecker63);
    double[] d_array69 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator75 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker77 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer78 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array69, 10, (-1.0d), false, 1, 0, randomGenerator75, true, convergenceChecker77);
    double[][] d_array_array79 = new double[][] { d_array69 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array79);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array55, d_array_array79);
    boolean b82 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array49, d_array55);
    boolean b83 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array55);
    double[] d_array84 = array2DRowRealMatrix4.preMultiply(d_array55);
    org.apache.commons.math3.exception.util.Localizable localizable85 = null;
    double[][] d_array_array88 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(100, 3);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException89 = new org.apache.commons.math3.exception.NullArgumentException(localizable85, (java.lang.Object[])d_array_array88);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix4.setSubMatrix(d_array_array88, 0, 97);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array88);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    org.apache.commons.math3.linear.RealVector realVector39 = arrayRealVector36.mapMultiplyToSelf(11013.232874703393d);
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor40 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d43 = arrayRealVector36.walkInDefaultOrder(realVectorChangingVisitor40, (-1), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.multiplyEntry(30000, 30000, 105.12492197250394d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix4.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array22 = array2DRowRealMatrix4.getData();
    int[] i_array23 = new int[] {  };
    int[] i_array24 = org.apache.commons.math3.util.MathArrays.copyOf(i_array23);
    int[] i_array25 = new int[] {  };
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    int[] i_array28 = new int[] { 1 };
    int i29 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array26, i_array28);
    int i30 = org.apache.commons.math3.util.MathArrays.distance1(i_array23, i_array26);
    int[] i_array31 = new int[] {  };
    int[] i_array32 = org.apache.commons.math3.util.MathArrays.copyOf(i_array31);
    int[] i_array33 = new int[] {  };
    int[] i_array34 = org.apache.commons.math3.util.MathArrays.copyOf(i_array33);
    int[] i_array36 = new int[] { 1 };
    int i37 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array34, i_array36);
    int i38 = org.apache.commons.math3.util.MathArrays.distance1(i_array31, i_array34);
    java.lang.Throwable throwable39 = null;
    org.apache.commons.math3.exception.util.Localizable localizable40 = null;
    double[] d_array44 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array44);
    double[] d_array49 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array49);
    double[] d_array51 = array2DRowRealMatrix45.preMultiply(d_array49);
    double[][] d_array_array52 = new double[][] { d_array49 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix53 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable39, localizable40, (java.lang.Object[])d_array_array52);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix4.copySubMatrix(i_array26, i_array34, d_array_array52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix1 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createColumnFieldMatrix(fieldElement_array0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    boolean b11 = array2DRowRealMatrix4.isTransposable();
    int[] i_array12 = new int[] {  };
    int[] i_array13 = org.apache.commons.math3.util.MathArrays.copyOf(i_array12);
    int[] i_array14 = new int[] {  };
    int[] i_array15 = org.apache.commons.math3.util.MathArrays.copyOf(i_array14);
    int[] i_array17 = new int[] { 1 };
    int i18 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array15, i_array17);
    int i19 = org.apache.commons.math3.util.MathArrays.distance1(i_array12, i_array15);
    int[] i_array20 = new int[] {  };
    int[] i_array21 = org.apache.commons.math3.util.MathArrays.copyOf(i_array20);
    int[] i_array23 = new int[] { 1 };
    int i24 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array21, i_array23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix4, i_array12, i_array21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    boolean b11 = array2DRowRealMatrix9.isTransposable();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix9.setEntry((-1), 100, (-0.8813735870195429d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double[] d_array16 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array16);
    double[] d_array21 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array21);
    double[] d_array23 = array2DRowRealMatrix17.preMultiply(d_array21);
    double[][] d_array_array24 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix25 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array24);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix12.setSubMatrix(d_array_array24, 1, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    float f2 = org.apache.commons.math3.util.Precision.round(Float.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array1 = arrayRealVector0.getDataRef();
    double[] d_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition4 = new org.apache.commons.math3.linear.EigenDecomposition(d_array1, d_array2, 9.999999999999998d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = realMatrixFormat0.parse(",");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarAdd((-0.054839968556690856d));
    double d16 = blockRealMatrix12.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealVector realVector18 = blockRealMatrix12.getColumnVector(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix12.createMatrix(3, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.50373127401788d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double[] d_array6 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker14 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer15 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6, 10, (-1.0d), false, 1, 0, randomGenerator12, true, convergenceChecker14);
    double[] d_array18 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition20 = new org.apache.commons.math3.linear.EigenDecomposition(d_array6, d_array18, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer21 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6);
    int i23 = cMAESOptimizer22.getMaxEvaluations();
    int i24 = cMAESOptimizer22.getMaxEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array25 = cMAESOptimizer22.getUpperBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, 2, 36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array2 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array2 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix5 = new org.apache.commons.math3.linear.BlockFieldMatrix(0, 3, fieldElement_array_array3, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array3);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(10.0d, (-0.126271542427993d), 0.6320021414540531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.023903718874465296d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix4.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix4.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array7 = new double[] { 100.0d };
    array2DRowRealMatrix4.setRow(0, d_array7);
    double[] d_array14 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator20 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker22 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer23 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array14, 10, (-1.0d), false, 1, 0, randomGenerator20, true, convergenceChecker22);
    double[] d_array26 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition28 = new org.apache.commons.math3.linear.EigenDecomposition(d_array14, d_array26, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array14);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(d_array14, false);
    org.apache.commons.math3.linear.RealVector realVector33 = arrayRealVector31.mapMultiplyToSelf(0.8813735870195429d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix4, (org.apache.commons.math3.linear.RealVector)arrayRealVector31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix4.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor21 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d26 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixPreservingVisitor21, 3, 3, 36, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix4.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor21 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d22 = array2DRowRealMatrix4.walkInRowOrder(realMatrixChangingVisitor21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarAdd((-0.054839968556690856d));
    double[] d_array20 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator26 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20, 10, (-1.0d), false, 1, 0, randomGenerator26, true, convergenceChecker28);
    org.apache.commons.math3.linear.RealVector realVector30 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array20);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array31 = blockRealMatrix12.preMultiply(d_array20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix4.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array22 = array2DRowRealMatrix4.getData();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor23 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = array2DRowRealMatrix4.walkInRowOrder(realMatrixChangingVisitor23, 52, 30000, 30000, 30000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(field0, 2, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarMultiply(2.2250738585072014E-308d);
    double[] d_array19 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array19);
    double[] d_array24 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array24);
    double[] d_array26 = array2DRowRealMatrix20.preMultiply(d_array24);
    double[][] d_array_array27 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix29 = blockRealMatrix12.multiply((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      double d20 = eigenDecomposition18.getRealEigenvalue(100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(field0, 0, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(2.99822295029797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9950371902099892d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-1023.9999999999999d), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1024.0d));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d3 = org.apache.commons.math3.util.Precision.round(1.414213562373095d, 100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.414213562373095d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarMultiply(2.2250738585072014E-308d);
    double[] d_array19 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array19);
    double[] d_array24 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array24);
    double[] d_array26 = array2DRowRealMatrix20.preMultiply(d_array24);
    double[][] d_array_array27 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    double d29 = blockRealMatrix28.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix30 = blockRealMatrix12.multiply(blockRealMatrix28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.50373127401788d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    double d37 = arrayRealVector36.getNorm();
    double[] d_array43 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator49 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker51 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer52 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array43, 10, (-1.0d), false, 1, 0, randomGenerator49, true, convergenceChecker51);
    double[] d_array55 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition57 = new org.apache.commons.math3.linear.EigenDecomposition(d_array43, d_array55, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer58 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array43);
    double[] d_array63 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator69 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker71 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer72 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array63, 10, (-1.0d), false, 1, 0, randomGenerator69, true, convergenceChecker71);
    org.apache.commons.math3.linear.RealVector realVector73 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array63);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector74 = new org.apache.commons.math3.linear.ArrayRealVector(d_array43, d_array63);
    double d75 = arrayRealVector74.getNorm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector76 = arrayRealVector36.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector74);
    double[] d_array78 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator84 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer86 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array78, 100, 0.0d, false, 1, 0, randomGenerator84, false);
    org.apache.commons.math3.linear.RealVector realVector87 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array78);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector88 = arrayRealVector76.subtract(realVector87);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 142.12670403551894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 142.12670403551894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector87);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException((-1), 10, 3, 100);
    int i5 = matrixDimensionMismatchException4.getExpectedRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      int i7 = matrixDimensionMismatchException4.getExpectedDimension(52);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 3);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.8813735870195429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor38 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d39 = arrayRealVector36.walkInOptimizedOrder(realVectorChangingVisitor38);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    double d38 = arrayRealVector36.getL1Norm();
    int i39 = arrayRealVector36.getDimension();
    double[] d_array47 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator53 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker55 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array47, 10, (-1.0d), false, 1, 0, randomGenerator53, true, convergenceChecker55);
    double[] d_array59 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition61 = new org.apache.commons.math3.linear.EigenDecomposition(d_array47, d_array59, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer62 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array47);
    double[] d_array67 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator73 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker75 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer76 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array67, 10, (-1.0d), false, 1, 0, randomGenerator73, true, convergenceChecker75);
    org.apache.commons.math3.linear.RealVector realVector77 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array67);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector78 = new org.apache.commons.math3.linear.ArrayRealVector(d_array47, d_array67);
    org.apache.commons.math3.linear.RealVector realVector79 = arrayRealVector78.unitVector();
    double d80 = arrayRealVector78.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector81 = arrayRealVector36.combine((-1.6006819655058965E29d), (-1023.9999999999999d), (org.apache.commons.math3.linear.RealVector)arrayRealVector78);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor82 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d85 = arrayRealVector78.walkInDefaultOrder(realVectorPreservingVisitor82, 97, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 220.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 220.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector81);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    int i11 = array2DRowRealMatrix9.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix9.getSubMatrix(0, 1, 36, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    org.apache.commons.math3.linear.RealVector realVector39 = arrayRealVector36.mapMultiplyToSelf(11013.232874703393d);
    double[] d_array40 = arrayRealVector36.toArray();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array42 = arrayRealVector41.getDataRef();
    int i43 = org.apache.commons.math3.util.MathUtils.hash(d_array42);
    // The following exception was thrown during execution in test generation
    try {
      double d44 = org.apache.commons.math3.util.MathArrays.distance1(d_array40, d_array42);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.apache.commons.math3.exception.MathInternalError mathInternalError0 = new org.apache.commons.math3.exception.MathInternalError();

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, 0, 30000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator7 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer9 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array1, 100, 0.0d, false, 1, 0, randomGenerator7, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = cMAESOptimizer9.getUpperBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.8813735870195429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0d, 10.0d, 36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix4.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix4.getDataRef();
    double[][] d_array_array22 = array2DRowRealMatrix4.getData();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array24 = array2DRowRealMatrix4.getColumn(97);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array25 = blockRealMatrix12.operate(d_array24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array7 = new double[] { 100.0d };
    array2DRowRealMatrix4.setRow(0, d_array7);
    double d9 = array2DRowRealMatrix4.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix4.getEntry(100, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.50373127401788d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    java.text.NumberFormat numberFormat1 = realMatrixFormat0.getFormat();
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat2 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix4 = realMatrixFormat2.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathUtils.checkFinite(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(36, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix4.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix4.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      double d24 = array2DRowRealMatrix4.getEntry(6, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    double[] d_array37 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition39 = new org.apache.commons.math3.linear.EigenDecomposition(d_array25, d_array37, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer40 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer41 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25);
    double d42 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array25);
    java.lang.Comparable[] comparable_array44 = new java.lang.Comparable[] { (byte)0 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection45 = null;
    boolean b47 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array44, orderDirection45, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection48 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b50 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array44, orderDirection48, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array25, orderDirection48, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    blockRealMatrix26.multiplyEntry(0, 0, (-0.126271542427993d));
    int i32 = blockRealMatrix26.getRowDimension();
    double d33 = blockRealMatrix26.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor34 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d39 = blockRealMatrix26.walkInColumnOrder(realMatrixPreservingVisitor34, 10, 1383429215, 100, 1383429215);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 16.13830921352805d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.649558242894909d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4724199404177434d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    double[] d_array38 = array2DRowRealMatrix32.preMultiply(d_array36);
    double[][] d_array_array39 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    double d41 = blockRealMatrix40.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = blockRealMatrix12.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix40);
    java.lang.String str43 = blockRealMatrix12.toString();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor44 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d49 = blockRealMatrix12.walkInRowOrder(realMatrixChangingVisitor44, 100, 52, 0, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "BlockRealMatrix{{100.0,10.0,-1.0}}"+ "'", str43.equals("BlockRealMatrix{{100.0,10.0,-1.0}}"));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    double[] d_array23 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator29 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker31 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array23, 10, (-1.0d), false, 1, 0, randomGenerator29, true, convergenceChecker31);
    org.apache.commons.math3.linear.RealVector realVector33 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array23);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition34 = new org.apache.commons.math3.linear.EigenDecomposition(d_array16, d_array23);
    org.apache.commons.math3.linear.RealMatrix realMatrix35 = eigenDecomposition34.getVT();
    org.apache.commons.math3.linear.DecompositionSolver decompositionSolver36 = eigenDecomposition34.getSolver();
    double[] d_array37 = eigenDecomposition34.getRealEigenvalues();
    boolean b38 = eigenDecomposition34.hasComplexEigenvalues();
    org.apache.commons.math3.linear.DecompositionSolver decompositionSolver39 = eigenDecomposition34.getSolver();
    java.io.ObjectInputStream objectInputStream41 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealVector((java.lang.Object)eigenDecomposition34, "", objectInputStream41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(decompositionSolver36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(decompositionSolver39);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector36, false);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction39 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector36.map(univariateFunction39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-1.6006819655058965E29d), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.6006819655058965E29d));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    java.lang.Comparable[] comparable_array38 = new java.lang.Comparable[] { (byte)0 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = null;
    boolean b41 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array38, orderDirection39, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection42 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b44 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array38, orderDirection42, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array25, orderDirection42, false);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.4724199404177434d, (-1023.9999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, (-102399.98396966197d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-102399.98396966197d));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.CompositeFormat.parseAndIgnoreWhitespace(",", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract(openMapRealMatrix5);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.addToEntry(2, 3, 100.50373127401788d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    double d37 = arrayRealVector36.getNorm();
    org.apache.commons.math3.linear.RealVector realVector39 = arrayRealVector36.mapMultiplyToSelf(2.2250738585072014E-308d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector36.copy();
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor41 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d44 = arrayRealVector36.walkInOptimizedOrder(realVectorChangingVisitor41, 30000, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 142.12670403551894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    double[] d_array11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = array2DRowRealMatrix10.preMultiply(d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    blockRealMatrix26.multiplyEntry(0, 0, (-0.126271542427993d));
    int i32 = blockRealMatrix26.getRowDimension();
    double d33 = blockRealMatrix26.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix26.addToEntry(100, 1383429215, 11013.232874703393d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 16.13830921352805d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.8813735870195429d, (java.lang.Number)1.0f, true);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(10, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector36, false);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array42 = arrayRealVector41.getDataRef();
    java.lang.Object obj43 = null;
    boolean b44 = arrayRealVector41.equals(obj43);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector45 = arrayRealVector36.combine(2.649558242894909d, (-0.126271542427993d), (org.apache.commons.math3.linear.RealVector)arrayRealVector41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    boolean b19 = eigenDecomposition18.hasComplexEigenvalues();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector21 = eigenDecomposition18.getEigenvector(6);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarAdd((-0.054839968556690856d));
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = blockRealMatrix12.scalarAdd(2.99822295029797d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math3.linear.AnyMatrix)realMatrix17, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math3.util.CompositeFormat.parseNextCharacter("{", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-23));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[] d_array11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = org.apache.commons.math3.util.MathArrays.distance1(d_array8, d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    double[] d_array0 = null;
    double[] d_array1 = null;
    boolean b2 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array0, d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    java.text.NumberFormat numberFormat1 = null;
    java.lang.StringBuffer stringBuffer2 = null;
    java.text.FieldPosition fieldPosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = org.apache.commons.math3.util.CompositeFormat.formatDouble((-0.3040080536016258d), numberFormat1, stringBuffer2, fieldPosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    org.apache.commons.math3.linear.RealVector realVector14 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array4);
    java.util.Iterator iterator15 = realVector14.iterator();
    double[] d_array20 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator26 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20, 10, (-1.0d), false, 1, 0, randomGenerator26, true, convergenceChecker28);
    org.apache.commons.math3.linear.RealVector realVector30 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array20);
    org.apache.commons.math3.linear.RealVector realVector31 = realVector14.projection(realVector30);
    java.io.ObjectOutputStream objectOutputStream32 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector(realVector30, objectOutputStream32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract(openMapRealMatrix5);
    java.lang.Object obj7 = null;
    boolean b8 = openMapRealMatrix5.equals(obj7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix11 = openMapRealMatrix5.createMatrix((-1), 1383429215);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[] d_array15 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator21 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker23 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array15, 10, (-1.0d), false, 1, 0, randomGenerator21, true, convergenceChecker23);
    double[] d_array29 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator35 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker37 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer38 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array29, 10, (-1.0d), false, 1, 0, randomGenerator35, true, convergenceChecker37);
    double[][] d_array_array39 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array39);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array15, d_array_array39);
    double[] d_array45 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array45);
    double[] d_array49 = new double[] { 100.0d };
    array2DRowRealMatrix46.setRow(0, d_array49);
    double[] d_array55 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator61 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker63 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer64 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array55, 10, (-1.0d), false, 1, 0, randomGenerator61, true, convergenceChecker63);
    double[] d_array69 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator75 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker77 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer78 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array69, 10, (-1.0d), false, 1, 0, randomGenerator75, true, convergenceChecker77);
    double[][] d_array_array79 = new double[][] { d_array69 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array79);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array55, d_array_array79);
    boolean b82 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array49, d_array55);
    boolean b83 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array55);
    double[] d_array84 = array2DRowRealMatrix4.preMultiply(d_array55);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor85 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d90 = array2DRowRealMatrix4.walkInRowOrder(realMatrixPreservingVisitor85, 1383429215, 97, 6, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(142.12670403551894d, 16.13830921352805d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    double d2 = org.apache.commons.math3.util.Precision.round(1.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.58227311967534d, 2.99822295029797d);
    double d3 = simpleValueChecker2.getRelativeThreshold();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b7 = simpleValueChecker2.converged(36, pointValuePair5, pointValuePair6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.58227311967534d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.054839968556690856d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.05486749364649245d));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = new org.apache.commons.math3.linear.RealVectorFormat();
    java.lang.String str1 = realVectorFormat0.getSuffix();
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = realVectorFormat0.parse("}", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "}"+ "'", str1.equals("}"));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    blockRealMatrix26.multiplyEntry(0, 0, (-0.126271542427993d));
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor32 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d33 = blockRealMatrix26.walkInRowOrder(realMatrixChangingVisitor32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException(number0);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number2);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarAdd((-0.054839968556690856d));
    double d16 = blockRealMatrix12.getFrobeniusNorm();
    double[] d_array21 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array21);
    double[] d_array26 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array26);
    double[] d_array28 = array2DRowRealMatrix22.preMultiply(d_array26);
    double[][] d_array_array29 = new double[][] { d_array26 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array29);
    double d31 = blockRealMatrix30.getNorm();
    double[] d_array35 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array35);
    double[] d_array40 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array40);
    double[] d_array42 = array2DRowRealMatrix36.preMultiply(d_array40);
    double[][] d_array_array43 = new double[][] { d_array40 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = blockRealMatrix30.add(blockRealMatrix44);
    double[] d_array49 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array49);
    double[] d_array54 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix55 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array54);
    double[] d_array56 = array2DRowRealMatrix50.preMultiply(d_array54);
    double[][] d_array_array57 = new double[][] { d_array54 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix58 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array57);
    double d59 = blockRealMatrix58.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix60 = blockRealMatrix30.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix58);
    java.lang.String str61 = blockRealMatrix30.toString();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix12.setColumnMatrix(36, (org.apache.commons.math3.linear.RealMatrix)blockRealMatrix30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.50373127401788d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "BlockRealMatrix{{100.0,10.0,-1.0}}"+ "'", str61.equals("BlockRealMatrix{{100.0,10.0,-1.0}}"));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    double[] d_array38 = array2DRowRealMatrix32.preMultiply(d_array36);
    double[][] d_array_array39 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    double d41 = blockRealMatrix40.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = blockRealMatrix12.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix40);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix44 = blockRealMatrix40.getRowMatrix(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    blockRealMatrix26.multiplyEntry(0, 0, (-0.126271542427993d));
    int i32 = blockRealMatrix26.getRowDimension();
    double d33 = blockRealMatrix26.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector35 = blockRealMatrix26.getColumnVector(6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 16.13830921352805d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    int i37 = org.apache.commons.math3.util.MathUtils.hash(d_array25);
    org.apache.commons.math3.exception.util.Localizable localizable38 = null;
    double[][] d_array_array41 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(100, 3);
    org.apache.commons.math3.exception.MathInternalError mathInternalError42 = new org.apache.commons.math3.exception.MathInternalError(localizable38, (java.lang.Object[])d_array_array41);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array25, d_array_array41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1383429215);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    double[] d_array0 = new double[] {  };
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection2 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    double[][] d_array_array3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array0, orderDirection2, d_array_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection2);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array2 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array2 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix5 = new org.apache.commons.math3.linear.BlockFieldMatrix(1, 100, fieldElement_array_array3, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array3);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, false);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction23 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = arrayRealVector22.map(univariateFunction23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarAdd((-0.054839968556690856d));
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = blockRealMatrix12.scalarAdd(2.99822295029797d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix12, (-1), 3, 3, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    double[] d_array20 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator26 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer28 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array20, 100, 0.0d, false, 1, 0, randomGenerator26, false);
    // The following exception was thrown during execution in test generation
    try {
      double d29 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    double[] d_array0 = null;
    java.lang.Comparable[] comparable_array2 = new java.lang.Comparable[] { (byte)0 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    boolean b5 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection3, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b8 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection6, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array0, orderDirection6, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix5 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array4);
    double[] d_array9 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array9);
    double[] d_array11 = array2DRowRealMatrix5.preMultiply(d_array9);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = org.apache.commons.math3.util.MathArrays.distance(d_array0, d_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract(openMapRealMatrix5);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = openMapRealMatrix6.getEntry(30000, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarMultiply(2.2250738585072014E-308d);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator23 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer25 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array17, 100, 0.0d, false, 1, 0, randomGenerator23, false);
    org.apache.commons.math3.linear.RealVector realVector26 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array27 = new double[][] { d_array17 };
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix12.setSubMatrix(d_array_array27, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    double d38 = arrayRealVector36.getL1Norm();
    int i39 = arrayRealVector36.getDimension();
    double[] d_array47 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator53 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker55 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array47, 10, (-1.0d), false, 1, 0, randomGenerator53, true, convergenceChecker55);
    double[] d_array59 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition61 = new org.apache.commons.math3.linear.EigenDecomposition(d_array47, d_array59, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer62 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array47);
    double[] d_array67 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator73 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker75 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer76 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array67, 10, (-1.0d), false, 1, 0, randomGenerator73, true, convergenceChecker75);
    org.apache.commons.math3.linear.RealVector realVector77 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array67);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector78 = new org.apache.commons.math3.linear.ArrayRealVector(d_array47, d_array67);
    org.apache.commons.math3.linear.RealVector realVector79 = arrayRealVector78.unitVector();
    double d80 = arrayRealVector78.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector81 = arrayRealVector36.combine((-1.6006819655058965E29d), (-1023.9999999999999d), (org.apache.commons.math3.linear.RealVector)arrayRealVector78);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector81.addToEntry(1383429215, 88.57694925287576d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 220.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 220.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector81);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array7 = new double[] { 100.0d };
    array2DRowRealMatrix4.setRow(0, d_array7);
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    boolean b20 = array2DRowRealMatrix13.isTransposable();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix4.multiply(array2DRowRealMatrix13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix4.setColumn(100, d_array10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.012707098813826034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2178071267753025E-4d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.random.RandomGenerator randomGenerator25 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker27 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer28 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1), d_array17, 10, 0.6320021414540531d, false, (-1), 0, randomGenerator25, true, convergenceChecker27);
    java.util.List list29 = cMAESOptimizer28.getStatisticsSigmaHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list29);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array18 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator24 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker26 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer27 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array18, 10, (-1.0d), false, 1, 0, randomGenerator24, true, convergenceChecker26);
    double[][] d_array_array28 = new double[][] { d_array18 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array28);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array4, d_array_array28);
    org.apache.commons.math3.linear.RealMatrix realMatrix31 = org.apache.commons.math3.linear.MatrixUtils.createRealDiagonalMatrix(d_array4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)realMatrix31, (-1), 30000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22026.465794806718d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array6 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker14 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer15 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6, 10, (-1.0d), false, 1, 0, randomGenerator12, true, convergenceChecker14);
    double[] d_array18 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition20 = new org.apache.commons.math3.linear.EigenDecomposition(d_array6, d_array18, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer21 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6);
    double[] d_array26 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator32 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker34 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer35 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array26, 10, (-1.0d), false, 1, 0, randomGenerator32, true, convergenceChecker34);
    org.apache.commons.math3.linear.RealVector realVector36 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector(d_array6, d_array26);
    double d38 = arrayRealVector37.getNorm();
    org.apache.commons.math3.linear.RealVector realVector40 = arrayRealVector37.mapMultiplyToSelf(2.2250738585072014E-308d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = arrayRealVector0.ebeDivide(realVector40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 142.12670403551894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(36, 97);
    double[] d_array7 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array7);
    org.apache.commons.math3.linear.RealMatrix realMatrix10 = array2DRowRealMatrix8.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix12 = array2DRowRealMatrix8.scalarMultiply((-0.12694914910344984d));
    double[] d_array16 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array16);
    double[] d_array21 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array21);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix17.subtract(array2DRowRealMatrix22);
    org.apache.commons.math3.linear.RealMatrix realMatrix24 = array2DRowRealMatrix8.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix22);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix2.setRowMatrix(100, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[] d_array15 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator21 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker23 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array15, 10, (-1.0d), false, 1, 0, randomGenerator21, true, convergenceChecker23);
    double[] d_array29 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator35 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker37 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer38 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array29, 10, (-1.0d), false, 1, 0, randomGenerator35, true, convergenceChecker37);
    double[][] d_array_array39 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array39);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array15, d_array_array39);
    double[] d_array45 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array45);
    double[] d_array49 = new double[] { 100.0d };
    array2DRowRealMatrix46.setRow(0, d_array49);
    double[] d_array55 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator61 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker63 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer64 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array55, 10, (-1.0d), false, 1, 0, randomGenerator61, true, convergenceChecker63);
    double[] d_array69 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator75 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker77 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer78 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array69, 10, (-1.0d), false, 1, 0, randomGenerator75, true, convergenceChecker77);
    double[][] d_array_array79 = new double[][] { d_array69 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array79);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array55, d_array_array79);
    boolean b82 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array49, d_array55);
    boolean b83 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array55);
    double[] d_array84 = array2DRowRealMatrix4.preMultiply(d_array55);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix86 = array2DRowRealMatrix4.power(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 142.12670403551894d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, 0, 0);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = arrayRealVector5.combineToSelf((-1024.0d), 0.9950371902099892d, (org.apache.commons.math3.linear.RealVector)arrayRealVector8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(52, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.apache.commons.math3.linear.RealMatrix realMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition1 = new org.apache.commons.math3.linear.EigenDecomposition(realMatrix0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(2, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    double[] d_array38 = array2DRowRealMatrix32.preMultiply(d_array36);
    double[][] d_array_array39 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    double d41 = blockRealMatrix40.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = blockRealMatrix12.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix40);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math3.random.RandomGenerator randomGenerator50 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer52 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array44, 100, 0.0d, false, 1, 0, randomGenerator50, false);
    org.apache.commons.math3.linear.RealVector realVector53 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array44);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array54 = blockRealMatrix12.operate(d_array44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = realVectorFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix10.walkInRowOrder(realMatrixChangingVisitor11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    boolean b11 = array2DRowRealMatrix9.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = array2DRowRealMatrix9.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = array2DRowRealMatrix9.walkInColumnOrder(realMatrixChangingVisitor14, 10, 5, (-23), 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    double[] d_array37 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition39 = new org.apache.commons.math3.linear.EigenDecomposition(d_array25, d_array37, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer40 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer41 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25);
    double d42 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector45 = new org.apache.commons.math3.linear.ArrayRealVector(d_array16, (-1), 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 100.0d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math3.linear.FieldMatrix fieldMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix1 = org.apache.commons.math3.linear.MatrixUtils.fractionMatrixToRealMatrix(fieldMatrix0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector36, false);
    double[] d_array39 = arrayRealVector38.toArray();
    // The following exception was thrown during execution in test generation
    try {
      double d41 = arrayRealVector38.getEntry((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    java.lang.Class clazz2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathParseException mathParseException3 = new org.apache.commons.math3.exception.MathParseException("{", 10, clazz2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)0, (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)0);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(30000, 1);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.9950371902099892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9983429858907905d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math3.linear.AnyMatrix anyMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkRowIndex(anyMatrix0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(1.0f, (-1), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, false);
    boolean b23 = arrayRealVector22.isNaN();
    org.apache.commons.math3.linear.RealVector realVector26 = arrayRealVector22.getSubVector(2, 1);
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor27 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d30 = arrayRealVector22.walkInOptimizedOrder(realVectorChangingVisitor27, 2, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array29 = blockRealMatrix26.getRow(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.012707098813826034d, (-1024.0d), 105.12492197250394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(2.2178071267753025E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.21780709041311E-4d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    double[] d_array12 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator18 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker20 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer21 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array12, 10, (-1.0d), false, 1, 0, randomGenerator18, true, convergenceChecker20);
    org.apache.commons.math3.linear.RealVector realVector22 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array12);
    java.util.Iterator iterator23 = realVector22.iterator();
    double[] d_array28 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator34 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker36 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer37 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array28, 10, (-1.0d), false, 1, 0, randomGenerator34, true, convergenceChecker36);
    org.apache.commons.math3.linear.RealVector realVector38 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array28);
    org.apache.commons.math3.linear.RealVector realVector39 = realVector22.projection(realVector38);
    array2DRowRealMatrix4.setColumnVector(0, realVector38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix42 = array2DRowRealMatrix4.getRowMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    double d37 = arrayRealVector36.getNorm();
    org.apache.commons.math3.linear.RealVector realVector39 = arrayRealVector36.mapMultiplyToSelf(2.2250738585072014E-308d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector36.copy();
    int i41 = arrayRealVector40.getMinIndex();
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor42 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d45 = arrayRealVector40.walkInOptimizedOrder(realVectorPreservingVisitor42, 2, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 142.12670403551894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 5);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array7 = new double[] { 100.0d };
    array2DRowRealMatrix4.setRow(0, d_array7);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixChangingVisitor9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    org.apache.commons.math3.linear.RealVector realVector14 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array4);
    java.util.Iterator iterator15 = realVector14.iterator();
    double[] d_array20 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator26 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20, 10, (-1.0d), false, 1, 0, randomGenerator26, true, convergenceChecker28);
    org.apache.commons.math3.linear.RealVector realVector30 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array20);
    org.apache.commons.math3.linear.RealVector realVector31 = realVector14.projection(realVector30);
    org.apache.commons.math3.linear.RealVector realVector33 = realVector31.mapSubtract(0.0d);
    int i34 = realVector31.getMaxIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealVector((java.lang.Object)0L, "", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(5, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    boolean b11 = array2DRowRealMatrix9.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = array2DRowRealMatrix9.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = array2DRowRealMatrix9.walkInRowOrder(realMatrixPreservingVisitor14, 97, (-1), 1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array25, orderDirection37, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixChangingVisitor9, 5, (-1), 2, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    double[][] d_array_array2 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(30000, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix3 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array2);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math3.exception.ZeroException zeroException0 = new org.apache.commons.math3.exception.ZeroException();

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = blockRealMatrix12.walkInOptimizedOrder(realMatrixChangingVisitor13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array1 = arrayRealVector0.getDataRef();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiply((-1024.0d));
    double[] d_array8 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker16 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer17 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array8, 10, (-1.0d), false, 1, 0, randomGenerator14, true, convergenceChecker16);
    org.apache.commons.math3.linear.RealVector realVector18 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array8);
    java.util.Iterator iterator19 = realVector18.iterator();
    double[] d_array24 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator30 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker32 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array24, 10, (-1.0d), false, 1, 0, randomGenerator30, true, convergenceChecker32);
    org.apache.commons.math3.linear.RealVector realVector34 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array24);
    org.apache.commons.math3.linear.RealVector realVector35 = realVector18.projection(realVector34);
    org.apache.commons.math3.linear.RealVector realVector37 = realVector35.mapSubtract(0.0d);
    int i38 = realVector37.getMinIndex();
    int i39 = realVector37.getMinIndex();
    // The following exception was thrown during execution in test generation
    try {
      double d40 = realVector3.cosine(realVector37);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 2);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealMatrix((java.lang.Object)88.57694925287576d, "}", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.copy();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = blockRealMatrix12.walkInOptimizedOrder(realMatrixChangingVisitor14, 30000, 5, 6, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-1024.0f), 100.0f, 97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.0f, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.023903718874465296d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02389916715052673d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat1 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    java.text.NumberFormat numberFormat2 = realMatrixFormat1.getFormat();
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number4 = org.apache.commons.math3.util.CompositeFormat.parseNumber("BlockRealMatrix{{100.0,10.0,-1.0}}", numberFormat2, parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    int i7 = array2DRowRealMatrix4.getColumnDimension();
    double[] d_array11 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array11);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = array2DRowRealMatrix12.scalarAdd(0.012707098813826034d);
    double[] d_array20 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator26 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20, 10, (-1.0d), false, 1, 0, randomGenerator26, true, convergenceChecker28);
    org.apache.commons.math3.linear.RealVector realVector30 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array20);
    java.util.Iterator iterator31 = realVector30.iterator();
    double[] d_array36 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator42 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker44 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer45 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array36, 10, (-1.0d), false, 1, 0, randomGenerator42, true, convergenceChecker44);
    org.apache.commons.math3.linear.RealVector realVector46 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array36);
    org.apache.commons.math3.linear.RealVector realVector47 = realVector30.projection(realVector46);
    array2DRowRealMatrix12.setColumnVector(0, realVector46);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix4.multiply(array2DRowRealMatrix12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.02389916715052673d, 1.414213562373095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.414213562373095d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    blockRealMatrix26.multiplyEntry(0, 0, (-0.126271542427993d));
    int i32 = blockRealMatrix26.getRowDimension();
    org.apache.commons.math3.linear.RealVector realVector34 = null;
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix26.setColumnVector(10, realVector34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array6 = arrayRealVector5.getDataRef();
    int i7 = org.apache.commons.math3.util.MathUtils.hash(d_array6);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = array2DRowRealMatrix4.operate(d_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.023903718874465296d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector36, false);
    double[] d_array39 = arrayRealVector38.toArray();
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor40 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d41 = arrayRealVector38.walkInOptimizedOrder(realVectorChangingVisitor40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(100, 10);
    int i3 = dimensionMismatchException2.getDimension();
    int i4 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(105.12492197250394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2601826016531577E45d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.copy();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = array2DRowRealMatrix18.subtract(array2DRowRealMatrix23);
    boolean b25 = array2DRowRealMatrix23.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = array2DRowRealMatrix23.scalarAdd(0.012707098813826034d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix28 = blockRealMatrix12.add(realMatrix27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix12 = array2DRowRealMatrix9.getRowMatrix(52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix4.scalarMultiply((-0.12694914910344984d));
    double[] d_array12 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix13.subtract(array2DRowRealMatrix18);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix4.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix18);
    double[][] d_array_array21 = array2DRowRealMatrix4.getDataRef();
    double[] d_array27 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator33 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker35 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer36 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array27, 10, (-1.0d), false, 1, 0, randomGenerator33, true, convergenceChecker35);
    double[] d_array39 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition41 = new org.apache.commons.math3.linear.EigenDecomposition(d_array27, d_array39, (-1.0d));
    double[] d_array46 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator52 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker54 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer55 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46, 10, (-1.0d), false, 1, 0, randomGenerator52, true, convergenceChecker54);
    org.apache.commons.math3.linear.RealVector realVector56 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array46);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition57 = new org.apache.commons.math3.linear.EigenDecomposition(d_array39, d_array46);
    org.apache.commons.math3.linear.RealMatrix realMatrix58 = eigenDecomposition57.getVT();
    org.apache.commons.math3.linear.DecompositionSolver decompositionSolver59 = eigenDecomposition57.getSolver();
    double[] d_array60 = eigenDecomposition57.getRealEigenvalues();
    boolean b61 = eigenDecomposition57.hasComplexEigenvalues();
    org.apache.commons.math3.linear.DecompositionSolver decompositionSolver62 = eigenDecomposition57.getSolver();
    double[] d_array63 = eigenDecomposition57.getRealEigenvalues();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix4.setRow(52, d_array63);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(decompositionSolver59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(decompositionSolver62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    org.apache.commons.math3.linear.RealVector realVector39 = arrayRealVector36.mapMultiplyToSelf(142.12670403551894d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector36);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor41 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d42 = arrayRealVector36.walkInDefaultOrder(realVectorPreservingVisitor41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixPreservingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.126271542427993d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.12627154242799296d));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    double d14 = blockRealMatrix12.getFrobeniusNorm();
    double[] d_array20 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator26 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20, 10, (-1.0d), false, 1, 0, randomGenerator26, true, convergenceChecker28);
    double[] d_array32 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition34 = new org.apache.commons.math3.linear.EigenDecomposition(d_array20, d_array32, (-1.0d));
    org.apache.commons.math3.random.RandomGenerator randomGenerator40 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker42 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer43 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1), d_array32, 10, 0.6320021414540531d, false, (-1), 0, randomGenerator40, true, convergenceChecker42);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array44 = blockRealMatrix12.preMultiply(d_array32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 100.50373127401788d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math3.util.CompositeFormat.parseNextCharacter("hi!", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarAdd((-0.054839968556690856d));
    double d16 = blockRealMatrix12.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealVector realVector18 = blockRealMatrix12.getColumnVector(0);
    double[] d_array24 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator30 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker32 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array24, 10, (-1.0d), false, 1, 0, randomGenerator30, true, convergenceChecker32);
    double[] d_array36 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition38 = new org.apache.commons.math3.linear.EigenDecomposition(d_array24, d_array36, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer39 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array24);
    double[] d_array44 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator50 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker52 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer53 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array44, 10, (-1.0d), false, 1, 0, randomGenerator50, true, convergenceChecker52);
    org.apache.commons.math3.linear.RealVector realVector54 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array44);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector55 = new org.apache.commons.math3.linear.ArrayRealVector(d_array24, d_array44);
    double d56 = arrayRealVector55.getNorm();
    org.apache.commons.math3.linear.RealVector realVector58 = arrayRealVector55.mapMultiplyToSelf(2.2250738585072014E-308d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector59 = arrayRealVector55.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector60 = realVector18.projection((org.apache.commons.math3.linear.RealVector)arrayRealVector55);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.50373127401788d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 142.12670403551894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector59);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 97, 1);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      double d14 = blockRealMatrix12.getTrace();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    java.text.NumberFormat numberFormat1 = realMatrixFormat0.getFormat();
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat2 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat1);
    org.apache.commons.math3.linear.RealMatrix realMatrix3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = realMatrixFormat2.format(realMatrix3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(142.12670403551894d, (-0.7853981633974483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.020384143632449617d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.3246809465608776d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3190064183867468d));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-1L));
    int i3 = mersenneTwister1.nextInt(2);
    mersenneTwister1.setSeed(0L);
    int[] i_array6 = new int[] {  };
    int[] i_array7 = org.apache.commons.math3.util.MathArrays.copyOf(i_array6);
    int[] i_array9 = new int[] { 1 };
    int i10 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array7, i_array9);
    // The following exception was thrown during execution in test generation
    try {
      mersenneTwister1.setSeed(i_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    blockRealMatrix26.multiplyEntry(0, 0, (-0.126271542427993d));
    int i32 = blockRealMatrix26.getRowDimension();
    double[] d_array38 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator44 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker46 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer47 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array38, 10, (-1.0d), false, 1, 0, randomGenerator44, true, convergenceChecker46);
    double[] d_array50 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition52 = new org.apache.commons.math3.linear.EigenDecomposition(d_array38, d_array50, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer53 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array38);
    double[] d_array58 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator64 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker66 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer67 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array58, 10, (-1.0d), false, 1, 0, randomGenerator64, true, convergenceChecker66);
    org.apache.commons.math3.linear.RealVector realVector68 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array58);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector69 = new org.apache.commons.math3.linear.ArrayRealVector(d_array38, d_array58);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector71 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector69, false);
    boolean b72 = blockRealMatrix26.equals((java.lang.Object)arrayRealVector69);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix26.setEntry(30000, 0, (-0.31373330468681937d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.58227311967534d, 2.99822295029797d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair4 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = simpleValueChecker2.converged(1383429215, pointValuePair4, pointValuePair5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(105.12492197250394d, (-0.12627369409889855d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5719975037470335d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    double[][] d_array_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.copySubMatrix(1, 97, (-1), 5, d_array_array5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array1 = arrayRealVector0.getDataRef();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiply((-1024.0d));
    org.apache.commons.math3.linear.RealVector realVector5 = null;
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector0.setSubVector(5, realVector5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.8813735870195429d, (java.lang.Number)1.0f, true);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)97);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 142.12670403551894d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, 0, 0);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array13 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array13);
    double[] d_array15 = array2DRowRealMatrix9.preMultiply(d_array13);
    double[][] d_array_array16 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array16);
    double d18 = blockRealMatrix17.getNorm();
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array27 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array27);
    double[] d_array29 = array2DRowRealMatrix23.preMultiply(d_array27);
    double[][] d_array_array30 = new double[][] { d_array27 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix31 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array30);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix32 = blockRealMatrix17.add(blockRealMatrix31);
    blockRealMatrix31.multiplyEntry(0, 0, (-0.126271542427993d));
    int i37 = blockRealMatrix31.getRowDimension();
    double[] d_array43 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator49 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker51 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer52 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array43, 10, (-1.0d), false, 1, 0, randomGenerator49, true, convergenceChecker51);
    double[] d_array55 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition57 = new org.apache.commons.math3.linear.EigenDecomposition(d_array43, d_array55, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer58 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array43);
    double[] d_array63 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator69 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker71 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer72 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array63, 10, (-1.0d), false, 1, 0, randomGenerator69, true, convergenceChecker71);
    org.apache.commons.math3.linear.RealVector realVector73 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array63);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector74 = new org.apache.commons.math3.linear.ArrayRealVector(d_array43, d_array63);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector76 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector74, false);
    boolean b77 = blockRealMatrix31.equals((java.lang.Object)arrayRealVector74);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector78 = arrayRealVector4.ebeDivide((org.apache.commons.math3.linear.RealVector)arrayRealVector74);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    int i28 = blockRealMatrix27.getColumnDimension();
    boolean b29 = blockRealMatrix27.isTransposable();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array32 = arrayRealVector31.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix27.setRow(2, d_array32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix8 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix5.subtract(openMapRealMatrix8);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix2.subtract(openMapRealMatrix9);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix13 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix16 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix19 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix20 = openMapRealMatrix16.subtract(openMapRealMatrix19);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix21 = openMapRealMatrix13.subtract(openMapRealMatrix20);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix22 = openMapRealMatrix9.subtract(openMapRealMatrix21);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix25 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix28 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix29 = openMapRealMatrix25.subtract(openMapRealMatrix28);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix30 = openMapRealMatrix22.multiply(openMapRealMatrix25);
    double[] d_array37 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator43 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker45 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer46 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array37, 10, (-1.0d), false, 1, 0, randomGenerator43, true, convergenceChecker45);
    double[] d_array49 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition51 = new org.apache.commons.math3.linear.EigenDecomposition(d_array37, d_array49, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer52 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array37);
    double[] d_array57 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator63 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker65 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer66 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array57, 10, (-1.0d), false, 1, 0, randomGenerator63, true, convergenceChecker65);
    org.apache.commons.math3.linear.RealVector realVector67 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array57);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector68 = new org.apache.commons.math3.linear.ArrayRealVector(d_array37, d_array57);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector68.unitVector();
    org.apache.commons.math3.linear.RealVector realVector71 = arrayRealVector68.mapMultiplyToSelf(11013.232874703393d);
    double[] d_array72 = arrayRealVector68.toArray();
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix22.setColumn(36, d_array72);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat3 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    java.text.NumberFormat numberFormat4 = realMatrixFormat3.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math3.linear.RealVectorFormat("hi!", "", "", numberFormat4);
    java.lang.String str6 = realVectorFormat5.getSeparator();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = realVectorFormat5.parse("}");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array7 = new double[] { 100.0d };
    array2DRowRealMatrix4.setRow(0, d_array7);
    double d9 = array2DRowRealMatrix4.getFrobeniusNorm();
    double[] d_array13 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array13);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix14.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix14.scalarMultiply((-0.12694914910344984d));
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix4.add(array2DRowRealMatrix14);
    double[] d_array24 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator30 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker32 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array24, 10, (-1.0d), false, 1, 0, randomGenerator30, true, convergenceChecker32);
    double[][] d_array_array34 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix14.setSubMatrix(d_array_array34, 100, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.50373127401788d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-4.9E-324d), (-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarAdd((-0.054839968556690856d));
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = blockRealMatrix12.scalarAdd(2.99822295029797d);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = blockRealMatrix12.walkInRowOrder(realMatrixPreservingVisitor18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = array2DRowRealMatrix18.subtract(array2DRowRealMatrix23);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix13.add((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix23);
    org.apache.commons.math3.exception.util.Localizable localizable26 = null;
    double[][] d_array_array29 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(100, 3);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException30 = new org.apache.commons.math3.exception.NullArgumentException(localizable26, (java.lang.Object[])d_array_array29);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix23.setSubMatrix(d_array_array29, 0, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    double[] d_array11 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array11);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = array2DRowRealMatrix12.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix12.scalarMultiply((-0.12694914910344984d));
    double[] d_array20 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array20);
    double[] d_array25 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array25);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = array2DRowRealMatrix21.subtract(array2DRowRealMatrix26);
    org.apache.commons.math3.linear.RealMatrix realMatrix28 = array2DRowRealMatrix12.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26);
    double[][] d_array_array29 = array2DRowRealMatrix12.getDataRef();
    double[][] d_array_array30 = array2DRowRealMatrix12.getData();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math3.exception.MathArithmeticException(localizable7, (java.lang.Object[])d_array_array30);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix4.setSubMatrix(d_array_array30, 3, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = array2DRowRealMatrix18.subtract(array2DRowRealMatrix23);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix13.add((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix23);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d31 = array2DRowRealMatrix23.walkInColumnOrder(realMatrixPreservingVisitor26, 10, 52, 1, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = blockRealMatrix26.scalarAdd(0.0d);
    double[] d_array35 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator41 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker43 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer44 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array35, 10, (-1.0d), false, 1, 0, randomGenerator41, true, convergenceChecker43);
    double[] d_array47 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition49 = new org.apache.commons.math3.linear.EigenDecomposition(d_array35, d_array47, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer50 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array35);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector52 = new org.apache.commons.math3.linear.ArrayRealVector(d_array35, false);
    org.apache.commons.math3.linear.RealVector realVector53 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array35);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector55 = new org.apache.commons.math3.linear.ArrayRealVector(d_array35, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector56 = blockRealMatrix26.preMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector55);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector36.unitVector();
    double[] d_array38 = new double[] {  };
    org.apache.commons.math3.linear.RealVector realVector39 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector36.ebeDivide(realVector39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.31373330468681937d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3038296037340505d));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    double[] d_array31 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    double[] d_array38 = array2DRowRealMatrix32.preMultiply(d_array36);
    double[][] d_array_array39 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    double d41 = blockRealMatrix40.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = blockRealMatrix12.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix40);
    java.lang.String str43 = blockRealMatrix12.toString();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = blockRealMatrix12.scalarAdd(220.0d);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor46 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d47 = blockRealMatrix45.walkInOptimizedOrder(realMatrixPreservingVisitor46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "BlockRealMatrix{{100.0,10.0,-1.0}}"+ "'", str43.equals("BlockRealMatrix{{100.0,10.0,-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix45);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    double[] d_array1 = arrayRealVector0.getDataRef();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, false);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = arrayRealVector3.walkInDefaultOrder(realVectorPreservingVisitor4, (-1961060856), 30000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    double[] d_array0 = null;
    double[] d_array6 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker14 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer15 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6, 10, (-1.0d), false, 1, 0, randomGenerator12, true, convergenceChecker14);
    double[] d_array18 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition20 = new org.apache.commons.math3.linear.EigenDecomposition(d_array6, d_array18, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer21 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array6);
    double[] d_array26 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator32 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker34 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer35 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array26, 10, (-1.0d), false, 1, 0, randomGenerator32, true, convergenceChecker34);
    org.apache.commons.math3.linear.RealVector realVector36 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array26);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector(d_array6, d_array26);
    org.apache.commons.math3.linear.RealVector realVector38 = arrayRealVector37.unitVector();
    org.apache.commons.math3.linear.RealVector realVector40 = arrayRealVector37.mapMultiplyToSelf(11013.232874703393d);
    double[] d_array41 = arrayRealVector37.toArray();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = new org.apache.commons.math3.linear.ArrayRealVector(d_array0, d_array41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    double[][] d_array_array2 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(10, 97);
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array3 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array2);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker33 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25, 10, (-1.0d), false, 1, 0, randomGenerator31, true, convergenceChecker33);
    org.apache.commons.math3.linear.RealVector realVector35 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector36, false);
    double[] d_array39 = arrayRealVector38.toArray();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector42 = arrayRealVector38.getSubVector(3, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.3190064183867468d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    mersenneTwister1.setSeed(100);
    int i4 = mersenneTwister1.nextInt();
    mersenneTwister1.clear();
    // The following exception was thrown during execution in test generation
    try {
      int i7 = mersenneTwister1.nextInt(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1961060856));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkRowIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix4, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array7 = new double[] { 100.0d };
    array2DRowRealMatrix4.setRow(0, d_array7);
    double d9 = array2DRowRealMatrix4.getFrobeniusNorm();
    double[] d_array13 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array13);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix14.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix14.scalarMultiply((-0.12694914910344984d));
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix4.add(array2DRowRealMatrix14);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor20 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixChangingVisitor20, 100, (-1), 5, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.50373127401788d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix3 = realMatrixFormat0.parse("BlockRealMatrix{{100.0,10.0,-1.0}}", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[][] d_array_array14 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, false);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix18 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor19 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = blockRealMatrix18.walkInColumnOrder(realMatrixChangingVisitor19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    float f3 = org.apache.commons.math3.util.Precision.round((-1.0f), (-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == (-10.0f));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat1 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    java.text.NumberFormat numberFormat2 = realMatrixFormat1.getFormat();
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat3 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat2);
    java.lang.StringBuffer stringBuffer4 = null;
    java.text.FieldPosition fieldPosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer6 = org.apache.commons.math3.util.CompositeFormat.formatDouble(1.58227311967534d, numberFormat2, stringBuffer4, fieldPosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    double d0 = org.apache.commons.math3.util.MathUtils.TWO_PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 6.283185307179586d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException5 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException((-1), 10, 3, 100);
    java.lang.Integer[] i_array6 = matrixDimensionMismatchException5.getExpectedDimensions();
    java.lang.Integer[] i_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException8 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(localizable0, i_array6, i_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix10.setEntry(3, 0, 11013.232874703393d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-1.6006819655058965E29d), 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    boolean b11 = array2DRowRealMatrix4.isTransposable();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix4.multiplyEntry(0, (-1), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[] d_array16 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition18 = new org.apache.commons.math3.linear.EigenDecomposition(d_array4, d_array16, (-1.0d));
    double[] d_array19 = eigenDecomposition18.getImagEigenvalues();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array21 = org.apache.commons.math3.util.MathArrays.copyOf(d_array19, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix2 = new org.apache.commons.math3.linear.BlockFieldMatrix(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, 10, 1383429215);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 142.12670403551894d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, 36, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = array2DRowRealMatrix4.subtract(array2DRowRealMatrix9);
    double[] d_array16 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator22 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker24 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer25 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array16, 10, (-1.0d), false, 1, 0, randomGenerator22, true, convergenceChecker24);
    double[] d_array28 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition30 = new org.apache.commons.math3.linear.EigenDecomposition(d_array16, d_array28, (-1.0d));
    double[] d_array35 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator41 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker43 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer44 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array35, 10, (-1.0d), false, 1, 0, randomGenerator41, true, convergenceChecker43);
    org.apache.commons.math3.linear.RealVector realVector45 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array35);
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition46 = new org.apache.commons.math3.linear.EigenDecomposition(d_array28, d_array35);
    double d48 = eigenDecomposition46.getRealEigenvalue(0);
    org.apache.commons.math3.linear.RealMatrix realMatrix49 = eigenDecomposition46.getV();
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = eigenDecomposition46.getD();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix4.setRowMatrix(97, realMatrix50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 105.12492197250394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math3.linear.RealMatrix realMatrix6 = array2DRowRealMatrix4.scalarAdd(0.012707098813826034d);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixChangingVisitor7, 0, 0, 1383429215, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixChangingVisitor11, 1, 36, 52, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    blockRealMatrix26.multiplyEntry(0, 0, (-0.126271542427993d));
    int i32 = blockRealMatrix26.getRowDimension();
    double d33 = blockRealMatrix26.getFrobeniusNorm();
    int[] i_array34 = null;
    int[] i_array35 = new int[] {  };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    int[] i_array38 = new int[] { 1 };
    int i39 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array36, i_array38);
    org.apache.commons.math3.exception.util.Localizable localizable40 = null;
    java.lang.Throwable throwable41 = null;
    org.apache.commons.math3.exception.util.Localizable localizable42 = null;
    double[] d_array46 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array46);
    double[] d_array51 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix52 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array51);
    double[] d_array53 = array2DRowRealMatrix47.preMultiply(d_array51);
    double[][] d_array_array54 = new double[][] { d_array51 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array54);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException56 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable41, localizable42, (java.lang.Object[])d_array_array54);
    org.apache.commons.math3.exception.ZeroException zeroException57 = new org.apache.commons.math3.exception.ZeroException(localizable40, (java.lang.Object[])d_array_array54);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix26.copySubMatrix(i_array34, i_array36, d_array_array54);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 16.13830921352805d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    double[] d_array4 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 10, (-1.0d), false, 1, 0, randomGenerator10, true, convergenceChecker12);
    double[][] d_array_array14 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix((-23), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix12.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = blockRealMatrix12.scalarAdd((-0.054839968556690856d));
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = blockRealMatrix12.scalarAdd(2.99822295029797d);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array27 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array27);
    double[] d_array29 = array2DRowRealMatrix23.preMultiply(d_array27);
    double[][] d_array_array30 = new double[][] { d_array27 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix31 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array30);
    double d32 = blockRealMatrix31.getNorm();
    double[] d_array36 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array36);
    double[] d_array41 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array41);
    double[] d_array43 = array2DRowRealMatrix37.preMultiply(d_array41);
    double[][] d_array_array44 = new double[][] { d_array41 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array44);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix31.add(blockRealMatrix45);
    blockRealMatrix45.multiplyEntry(0, 0, (-0.126271542427993d));
    int i51 = blockRealMatrix45.getRowDimension();
    double[] d_array57 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator63 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker65 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer66 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array57, 10, (-1.0d), false, 1, 0, randomGenerator63, true, convergenceChecker65);
    double[] d_array69 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition71 = new org.apache.commons.math3.linear.EigenDecomposition(d_array57, d_array69, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer72 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array57);
    double[] d_array77 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator83 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker85 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer86 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array77, 10, (-1.0d), false, 1, 0, randomGenerator83, true, convergenceChecker85);
    org.apache.commons.math3.linear.RealVector realVector87 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array77);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector88 = new org.apache.commons.math3.linear.ArrayRealVector(d_array57, d_array77);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector90 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector88, false);
    boolean b91 = blockRealMatrix45.equals((java.lang.Object)arrayRealVector88);
    blockRealMatrix12.setRowMatrix(0, blockRealMatrix45);
    org.apache.commons.math3.linear.RealMatrix realMatrix94 = blockRealMatrix45.scalarMultiply((-0.126271542427993d));
    // The following exception was thrown during execution in test generation
    try {
      double d95 = blockRealMatrix45.getTrace();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix94);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array7 = new double[] { 100.0d };
    array2DRowRealMatrix4.setRow(0, d_array7);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = array2DRowRealMatrix4.walkInColumnOrder(realMatrixChangingVisitor9, 97, 2, 52, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-1024.0f), (-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1023.99994f));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract(openMapRealMatrix5);
    int i7 = openMapRealMatrix2.getColumnDimension();
    double d8 = openMapRealMatrix2.getFrobeniusNorm();
    double[] d_array15 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator21 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker23 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array15, 10, (-1.0d), false, 1, 0, randomGenerator21, true, convergenceChecker23);
    double[] d_array27 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition29 = new org.apache.commons.math3.linear.EigenDecomposition(d_array15, d_array27, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer30 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array15);
    double[] d_array35 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator41 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker43 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer44 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array35, 10, (-1.0d), false, 1, 0, randomGenerator41, true, convergenceChecker43);
    org.apache.commons.math3.linear.RealVector realVector45 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array35);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector46 = new org.apache.commons.math3.linear.ArrayRealVector(d_array15, d_array35);
    double d47 = arrayRealVector46.getNorm();
    double[] d_array53 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator59 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker61 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer62 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array53, 10, (-1.0d), false, 1, 0, randomGenerator59, true, convergenceChecker61);
    double[] d_array65 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition67 = new org.apache.commons.math3.linear.EigenDecomposition(d_array53, d_array65, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer68 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array53);
    double[] d_array73 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator79 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker81 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer82 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array73, 10, (-1.0d), false, 1, 0, randomGenerator79, true, convergenceChecker81);
    org.apache.commons.math3.linear.RealVector realVector83 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array73);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector84 = new org.apache.commons.math3.linear.ArrayRealVector(d_array53, d_array73);
    double d85 = arrayRealVector84.getNorm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector86 = arrayRealVector46.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector84);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.setRowVector(3, (org.apache.commons.math3.linear.RealVector)arrayRealVector84);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 142.12670403551894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 142.12670403551894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector86);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    org.apache.commons.math3.linear.AnyMatrix anyMatrix14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix12, anyMatrix14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-1.6006819655058965E29d), (-1024.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix3 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math3.linear.OpenMapRealMatrix(2, 2);
    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix3.subtract(openMapRealMatrix6);
    int i8 = openMapRealMatrix3.getColumnDimension();
    double d9 = openMapRealMatrix3.getFrobeniusNorm();
    java.lang.StringBuffer stringBuffer10 = null;
    java.text.FieldPosition fieldPosition11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer12 = realMatrixFormat0.format((org.apache.commons.math3.linear.RealMatrix)openMapRealMatrix3, stringBuffer10, fieldPosition11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat3 = org.apache.commons.math3.linear.MatrixUtils.DEFAULT_FORMAT;
    java.text.NumberFormat numberFormat4 = realMatrixFormat3.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math3.linear.RealVectorFormat("hi!", "", "", numberFormat4);
    java.lang.Double[] d_array7 = new java.lang.Double[] { 142.12670403551894d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector(d_array7, 0, 0);
    org.apache.commons.math3.linear.RealVector realVector12 = arrayRealVector10.mapDivideToSelf(10.0d);
    java.lang.StringBuffer stringBuffer13 = null;
    java.text.FieldPosition fieldPosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer15 = realVectorFormat5.format(realVector12, stringBuffer13, fieldPosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    java.lang.Object obj0 = null;
    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealMatrix(obj0, "BlockRealMatrix{{-12.6271542428,10.0,-1.0}}", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(1383429215, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    double[] d_array3 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    double[] d_array8 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array8);
    double[] d_array10 = array2DRowRealMatrix4.preMultiply(d_array8);
    double[][] d_array_array11 = new double[][] { d_array8 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix12 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double d13 = blockRealMatrix12.getNorm();
    double[] d_array17 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array24 = array2DRowRealMatrix18.preMultiply(d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array25);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix12.add(blockRealMatrix26);
    int i28 = blockRealMatrix27.getColumnDimension();
    boolean b29 = blockRealMatrix27.isTransposable();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix27.addToEntry(1383429215, 0, (-0.7853981633974483d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math3.util.CompositeFormat.parseNextCharacter("", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    java.lang.Double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector(d_array0, 6, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 0.0d };
    org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5, 10, (-1.0d), false, 1, 0, randomGenerator11, true, convergenceChecker13);
    double[] d_array17 = new double[] { 0.0d, 10.0d };
    org.apache.commons.math3.linear.EigenDecomposition eigenDecomposition19 = new org.apache.commons.math3.linear.EigenDecomposition(d_array5, d_array17, (-1.0d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer20 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector25 = arrayRealVector22.getSubVector(3, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

}
